## xfce4-settings-qubes 4.0.4

=== debian/changelog ===
xfce4-settings-qubes (4.0.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 16 Jul 2020 05:53:40 +0200

xfce4-settings-qubes (4.0.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * debian: initial packaging
  * Import garcon conf files
  * Makefile: add clean of pkgs and debian changelog.*
  * spec: ensure using upstream garcon
  * XFCE menu is provided by qubes-menus
  * Set XDG_MENU_PREFIX with xinitrc/Xsession script
  * spec: exclude older garcon version too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Jul 2020 05:53:40 +0200

xfce4-settings-qubes (4.0.3-2) unstable; urgency=medium

  Initial commit

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 14 Jun 2020 10:00:00 +0200

## xfce4-settings-qubes 4.0.5

=== debian/changelog ===
xfce4-settings-qubes (4.0.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 23 Dec 2020 22:53:49 +0100

xfce4-settings-qubes (4.0.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Demi Marie Obenour ]
  * Replace “xkill” with “qvm-xkill”
  * Update existing XFCE configurations
  * Update both default and custom configurations

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Dec 2020 22:53:49 +0100

## xfce4-settings-qubes 4.0.6

=== Makefile ===
all:
	@true

install-common:
	install -m 644 -D xfce4-panel-qubes-default.xml $(DESTDIR)/etc/xdg/xfce4/panel/default.xml.qubes
	install -m 644 -D xsettings.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml.qubes
	install -m 644 -D xfwm4.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml
	install -m 644 -D xfce4-desktop.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
	install -m 644 -D xfce4-session.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml.qubes
	install -m 644 -D xfce4-power-manager.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml.qubes
	install -m 644 -D xfce4-keyboard-shortcuts.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml.qubes
	install -m 644 -D xfce4-xss-lock.desktop $(DESTDIR)/etc/xdg/autostart/xfce4-xss-lock.desktop
	install -m 644 -D qubes-update-xfce-config.desktop $(DESTDIR)/etc/xdg/autostart/qubes-update-xfce-config.desktop
	install -m 755 -D update-xfce-config $(DESTDIR)/usr/lib/qubes/update-xfce-config

	ln -s ../../panel/default.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml

install: install-common
	install -D etc/X11/xinit/xinitrc.d/55xfce-qubes.sh $(DESTDIR)/etc/X11/xinit/xinitrc.d/55xfce-qubes.sh

install-debian: install-common
	install -D etc/X11/Xsession.d/55xfce-qubes $(DESTDIR)/etc/X11/Xsession.d/55xfce-qubes

clean:
	rm -rf debian/changelog.*
	rm -rf pkgs

=== debian/changelog ===
xfce4-settings-qubes (4.0.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 18 Jun 2021 04:11:48 +0200

xfce4-settings-qubes (4.0.6-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 04:11:48 +0200

xfce4-settings-qubes (4.0.5-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 03:48:41 +0200

=== debian/control ===
Source: xfce4-settings-qubes
Section: xfce
Priority: extra
Maintainer: Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>
Build-Depends:
  debhelper (>= 10~),
  config-package-dev
Standards-Version: 4.3.0
Homepage: http://www.qubes-os.org

Package: xfce4-settings-qubes
Section: xfce
Architecture: amd64
Depends: qubes-artwork, xfce4-panel, xss-lock, ${shlibs:Depends}, ${misc:Depends}, util-linux
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Default Xfce4 panel settings for Qubes.
  Default Xfce4 panel and menu settings for Qubes.

## xfce4-settings-qubes 4.2.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	install -m 644 -D xfce4-power-manager.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml.qubes
 	install -m 644 -D xfce4-keyboard-shortcuts.xml $(DESTDIR)/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml.qubes
 	install -m 644 -D xfce4-xss-lock.desktop $(DESTDIR)/etc/xdg/autostart/xfce4-xss-lock.desktop
+	install -m 644 -D xscreensaver-xfce.desktop $(DESTDIR)/etc/xdg/autostart/xscreensaver-xfce.desktop
 	install -m 644 -D qubes-update-xfce-config.desktop $(DESTDIR)/etc/xdg/autostart/qubes-update-xfce-config.desktop
 	install -m 755 -D update-xfce-config $(DESTDIR)/usr/lib/qubes/update-xfce-config

=== debian/changelog ===
xfce4-settings-qubes (4.2.0-2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 08 Feb 2023 18:19:17 +0100

xfce4-settings-qubes (4.2.0-2) unstable; urgency=medium

  * Enable xscreensaver under xfce
  * Update xsettings.xml for Xfce 4.16
  * Switch default menu to the new shiny one

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 Feb 2023 18:19:17 +0100

xfce4-settings-qubes (4.0.6-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Nov 2022 17:04:36 +0100

## xfce4-settings-qubes 4.2.1

=== debian/changelog ===
xfce4-settings-qubes (4.2.1-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 17 Feb 2023 15:02:45 +0100

xfce4-settings-qubes (4.2.1-1) unstable; urgency=medium

  * Pull in new menu via dependencies

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Feb 2023 15:02:45 +0100

## xfce4-settings-qubes 4.2.2

=== debian/changelog ===
xfce4-settings-qubes (4.2.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 27 Jul 2023 18:59:29 +0200

xfce4-settings-qubes (4.2.2-1) unstable; urgency=medium

  * Fix power manager plugin icon
  * ci: drop R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Jul 2023 18:59:29 +0200

## xfce4-settings-qubes 4.2.3

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,14 @@
 Package: xfce4-settings-qubes
 Section: xfce
 Architecture: amd64
-Depends: qubes-artwork, xfce4-panel, xss-lock, ${shlibs:Depends}, ${misc:Depends}, util-linux
+Depends:
+ qubes-artwork,
+ qubes-desktop-linux-menu,
+ xfce4-panel,
+ xss-lock,
+ ${shlibs:Depends},
+ ${misc:Depends},
+ util-linux
 Provides: ${diverted-files}
 Conflicts: ${diverted-files}
 Description: Default Xfce4 panel settings for Qubes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DESTDIR=$(shell pwd)/debian/tmp

%:
	dh $@ --with=config-package

override_dh_auto_install:
	make install-debian

override_dh_install:
	dh_install --sourcedir=debian/tmp --fail-missing
